const {
  getPayoutMethod,
  createPayoutMethod,
  updatePayoutMethod,
  deletePayoutMethod,
} = require('../../../controllers/host/v1.1/payout-methods');
const { isAuth } = require('../../../middlewares');

const router = require('express').Router();

router.get('/', isAuth, getPayoutMethod);
router.post('/', isAuth, createPayoutMethod);

router.patch('/:id', isAuth, updatePayoutMethod);
router.delete('/:id', isAuth, deletePayoutMethod);

module.exports = router;
